Subject: Re: 0-Based indexes for git log

From: Junio C Hamano <[email-masked]>
Date: Thu, 25 Sep 2025 06:25:17 -0700

Ben Knoble <[email-masked]> writes:

>> * merge parent numbers are 2-based (sanity of this statement is
>>   already questionable).  If HEAD is a merge, HEAD~2 is the
>>   "(first) side branch that was merged", HEAD~3 is the "(second)
>>   side brnach that was merged (in an octopus merge), and so on.
>
> HEAD^2, 3, etc., rather? :)

Thanks for correcting me.  Yes.  And HEAD^1 is the first parent that
is the same as HEAD~1.